const objRemoveUndefined = (obj) => {
  return Object.keys(obj).reduce((acc, key) => {
    if (obj[key] !== void 0) {
      acc[key] = obj[key];
    }
    return acc;
  }, {});
};
const isEmptyObject = (value) => {
  return typeof value === "object" && value !== null && Object.keys(value).length === 0;
};
function safeStringifyValue(value) {
  const getCircularReplacer = () => {
    const seen = /* @__PURE__ */ new WeakSet();
    return (_, value2) => {
      if (typeof value2 === "object" && value2 !== null) {
        if (seen.has(value2)) {
          return;
        }
        seen.add(value2);
      }
      return value2;
    };
  };
  return JSON.stringify(value, getCircularReplacer());
}

export { isEmptyObject, objRemoveUndefined, safeStringifyValue };
//# sourceMappingURL=object.js.map
